## org.apache.commons.collections
Interface ResettableIterator

All Superinterfaces:
  Iterator

All Known Subinterfaces:
  ResettableListIterator

All Known Implementing Classes:
  AbstractDualBidiMap.BidiMapIterator, AbstractLinkedMap.LinkIterator, ArrayIterator, ArrayListIterator, DualTreeBidiMap.BidiOrderedMapIterator, EmptyIterator, EmptyListIterator, EmptyMapIterator, EmptyOrderedIterator, EmptyOrderedMapIterator, EntrySetMapIterator, LoopingIterator, ObjectArrayIterator, ObjectArrayListIterator, SingletonIterator, SingletonListIterator

public interface ResettableIterator
extends Iterator

Defines an iterator that can be reset back to an initial state.

This interface allows an iterator to be repeatedly reused.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/02/18 01:15:42 $
Author:
  Stephen Colebourne

Method Summary
`void` `reset()` Resets the iterator back to the position at which the iterator was created.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### reset

    public void reset()

  Resets the iterator back to the position at which the iterator was created.

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.